Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp điền cao độ cho line, pline !


  • Please log in to reply
2 replies to this topic

#1 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 06 November 2012 - 01:28 PM

Em đã tìm khắp diễn đàn mà không thấy có lisp em cần nên em nhờ các anh cadviet viết giúp em cái lisp điền cao độ cho các line, pline. Cụ thể như sau: Các text có sẵn, line, pline có sẵn. Khi chạy lisp như sau:
command diencd
select text: (Chọn vào text có sẵn để lấy cao độ ( ví dụ 15 ))
select line: (chọn vào line, pline có sẵn để điền cao độ.)
Sau khi chọn line thì lisp sẽ ghi elevation cho line, pline là giá trị vừa lấy ở text.
Cảm ơn diễn đàn CADVIET !
  • 0

#2 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 06 November 2012 - 04:37 PM


(defun C:ttt(/ cd ss)
(setq cd (atof (cdr (assoc 1 (entget (car (entsel "\n Chon text cao do")))))))
(setq ss (ssget '((0 . "*LINE"))))
(command "change" ss "" "P" "E" cd "")
)

  • 1

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#3 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 06 November 2012 - 08:01 PM


(defun C:ttt(/ cd ss)
(setq cd (atof (cdr (assoc 1 (entget (car (entsel "\n Chon text cao do")))))))
(setq ss (ssget '((0 . "*LINE"))))
(command "change" ss "" "P" "E" cd "")
)


Lisp chạy chuẩn đúng yêu cầu. Cảm ơn CADVIET nhiều ạ !
  • 0